Subject: [Sigtran] IUA: error conditions

From: Saraswati Bose <[email-masked]>
Date: Tue, 17 Jan 2006 20:59:34 -0800 (PST)

Hi Brian,
   
  1. Should we encode error message as " protocol error" in response to QOTM message received with IUA message header fields missing like DLCI etc? Or can we discard the message simply?
   
  2. Should SG encode error message "protocol error" against DATA/UNITDATA INDICATION message received from ASP?Or can we discard the message simply?
   
  3. Should ASP encode error message " protocol error" against DATA/UNITDATA REQ message received from SG?Or can we discard the message simply?
   
  Regards,
  Saraswati.

---------------------------------
Yahoo! Photos
 Ring in the New Year with Photo Calendars. Add photos, events, holidays, whatever.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 17 Jan 2006 22:33:47 -0700

Saraswati,

Saraswati Bose wrote:                           (Tue, 17 Jan 2006 20:59:34)
> 
>    Hi Brian,
> 
> 
> 
>    1.  Should we encode error message as " protocol error" in response to
>    QOTM message received with IUA message header fields missing like DLCI
>    etc? Or can we discard the message simply?
> 

Sure. Another option is to drop the link or abort the association, because
the peer has violated a requirement.

> 
> 
>    2.   Should   SG   encode   error  message  "protocol  error"  against
>    DATA/UNITDATA  INDICATION  message received from ASP?Or can we discard
>    the message simply?
> 

Come now... Read "Unexpected Message" under RFC 3057 Section 3.3.3.1.

> 
> 
>    3.   Should  ASP  encode  error  message  "  protocol  error"  against
>    DATA/UNITDATA  REQ  message  received  from  SG?Or  can we discard the
>    message simply?
> 

Again, read "Unexpected Message" under RFC 3057 Section 3.3.3.1.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/